This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 238974 - Fast user Switch applet kills Xorg when changing of user
Fast user Switch applet kills Xorg when changing of user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fast-user-switch-applet (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 05:39 EDT by Aznar
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aznar 2007-05-04 05:39:51 EDT
Description of problem: I have created another user on my desktop and I tried to
switch of user. It works, I was sent to GDM to enter the password and I was able
to login. But When I wanted to go back to my session, all the applications
weren't there, they have been killed !!

I noticed that Xorg, when I switch to another user were shutdown.


Version-Release number of selected component (if applicable):
Linux : 2.6.21-1.3116.fc7
Xorg :
fast-user-switch-applet :2.17.4 

How reproducible:
everytime

Steps to Reproduce:
1.click on my nickname closed to network manager
2.select another nickname
3. enter the password
4.then, when logged to another session, go back to the previous

  
Actual results:
Kill all the applications launched on the first session

Expected results:
the application should still run

Additional info:
Comment 1 Trond Danielsen 2007-06-04 12:47:34 EDT
I also have the same problem, but I am running the final release of Fedora 7. Is
there any information that I can provide that would be useful to help solve this?
Comment 2 Matthias Clasen 2007-09-14 23:13:41 EDT
How did you go back to the previous session ?

Did you maybe just end up on the wrong vt ? 
Comment 3 Bug Zapper 2008-05-13 22:51:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2008-06-06 05:08:47 EDT
maybe related to bug 449502?
Comment 5 Bug Zapper 2009-06-09 18:35:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:14:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.